diff --git a/eth/user/isg_machine_reinstall b/eth/user/isg_machine_reinstall
new file mode 100755
index 0000000..ed35fbd
--- /dev/null
+++ b/eth/user/isg_machine_reinstall
@@ -0,0 +1,79 @@
+#!/bin/sh
+#
+# 2010 Nico Schottelius (nico-nsbin at schottelius.org)
+#
+# This file is part of nsbin.
+#
+# nsbin is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# nsbin is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with nsbin. If not, see .
+#
+#
+# Order device at ISG
+#
+
+#
+# Standard variables (stolen from cconf)
+#
+__pwd="$(pwd -P)"
+__mydir="${0%/*}"; __abs_mydir="$(cd "$__mydir" && pwd -P)"
+__myname=${0##*/}; __abs_myname="$__abs_mydir/$__myname"
+
+
+if [ -z "$NETHZ_USERNAME" ]; then
+ echo "Error: Set \$NETHZ_USERNAME to your username"
+ exit 1
+fi
+
+if [ $# -lt 1 ]; then
+ cat << eof
+$__myname: [carbon copy recipients]
+
+ Requires NETHZ_USERNAME to be set.
+
+ Example: NETHZ_USERNAME="nicosc" $__myname 30 user1 user2
+
+eof
+ exit 1
+fi
+
+machine="$1"; shift
+
+headerto="support@inf.ethz.ch"
+to="support@inf.ethz.ch $from"
+
+while [ $# -ge 1 ]; do
+ addr="$1@ethz.ch"
+ to="$to $addr"
+ headerto="$headerto, $addr"
+ shift
+done
+
+sendmail="/usr/sbin/sendmail"
+from="${NETHZ_USERNAME}@ethz.ch"
+
+cat << eof | $sendmail -f "$from" $to
+To: $headerto
+Subject: Reinstallation of $machine
+
+Dear ISG,
+
+can you please reinstall $machine?
+
+Cheers,
+
+ $USER
+
+--
+Send by ${__myname}
+
+eof